Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Try Vanilla Forums Cloud product
Vanilla 2.6 is here! It includes security fixes and requires PHP 7.0. We have therefore ALSO released Vanilla 2.5.2 with security patches if you are still on PHP 5.6 to give you additional time to upgrade.

It doesn't wort with Vanilla 2.5

This discussion is related to the CloudflareSupport addon.
Ivan_GurinIvan_Gurin Moscow
edited February 7 in Vanilla 2.5 Help

Hi!

When I try to enable this plugin in Vanilla 2.5 I get an error in php log:
2018/02/07 19:57:57 [error] 9661#9661: *1708652 FastCGI sent in stderr: "PHP message: PHP Fatal error: Uncaught Error: Call to undefined function ip_in_range() in /var/www/mydomen.com/www/forum/plugins/CloudflareSupport/class.cloudflaresupport.plugin.php:74
Stack trace:
0 /var/www/mydomen.com/www/forum/vendor/vanilla/garden-container/src/Container.php(546): CloudflareSupportPlugin->__construct()
1 /var/www/mydomen.com/www/forum/vendor/vanilla/garden-container/src/Container.php(695): Garden\Container\Container->createSharedInstance('CloudflareSuppo...', Array, Array)

Please fix it.

Comments

Sign In or Register to comment.